# Class BorderUIResource.LineBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.LineBorder
javax.swing.plaf.BorderUIResource.LineBorderUIResource

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.LineBorderUIResource extends LineBorder implements UIResource
A line border UI resource.

## Field Summary

### Fields declared in class LineBorder

`lineColor, roundedCorners, thickness`
Modifier and Type
Field
Description
`protected Color`
`lineColor`
Color of the border.
`protected boolean`
`roundedCorners`
Whether or not the border has rounded corners.
`protected int`
`thickness`
Thickness of the border.

## Constructor Summary

Constructors
Constructor
Description
`LineBorderUIResource(Color color)`
Constructs a `LineBorderUIResource`.
`LineBorderUIResource(Color color, int thickness)`
Constructs a `LineBorderUIResource`.

## Method Summary

### Methods declared in class LineBorder

`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque, paintBorder`
Modifier and Type
Method
Description
`static Border`
`createBlackLineBorder()`
Convenience method for getting the Color.black LineBorder of thickness 1.
`static Border`
`createGrayLineBorder()`
Convenience method for getting the Color.gray LineBorder of thickness 1.
`Insets`
`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Color`
`getLineColor()`
Returns the color of the border.
`boolean`
`getRoundedCorners()`
Returns whether this border will be drawn with rounded corners.
`int`
`getThickness()`
Returns the thickness of the border.
`boolean`
`isBorderOpaque()`
Returns whether or not the border is opaque.
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
Paints the border for the specified component with the specified position and size.

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`
Modifier and Type
Method
Description
`int`
`getBaseline(Component c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(Component c)`
Returns an enum indicating how the baseline of a component changes as the size changes.
`Insets`
`getBorderInsets(Component c)`
This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
`Rectangle`
`getInteriorRectangle(Component c, int x, int y, int width, int height)`
This convenience method calls the static method.
`static Rectangle`
`getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
Returns a rectangle using the arguments minus the insets of the border.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### LineBorderUIResource

public LineBorderUIResource(Color color)
Constructs a `LineBorderUIResource`.

Parameters:
  `color` - the color for the border

### LineBorderUIResource

@ConstructorProperties({"lineColor","thickness"}) public LineBorderUIResource(Color color, int thickness)
Constructs a `LineBorderUIResource`.

Parameters:
  `color` - the color for the border
  `thickness` - the thickness of the border